您的位置:68399皇家赌场 > 服务器租用 > npm install的时候报错 npm err code 一

npm install的时候报错 npm err code 一

发布时间:2019-05-03 21:50编辑:服务器租用浏览(54)

    于是乎就问了度娘,然后 使用了‘ npm i -g npm ’ 命令,然后再 npm install,npm run dev 的时候就好像常能开发银行项目了。

      npm install -g cnpm --registry=

    2、构建vue项目

    //安装vue脚手架,那是创设vue项目标工具-g为全局安装
    npm install -g vue-cli
    //使用webpack打包工具
    vue init webpack my-project
    //之后会提醒某些新闻,全体抉择yes,一贯敲回车就可以
    //完毕现在,进入到成立的档期的顺序根目录下
    cd my-project
    //安装正视包
    yarn
    //表达:yarn是yarn install的简写,可径直敲击yarn,功用和npm install同样
    //最终运营项目
    yarn run dev
    //浏览器会自动展开运维四个页面,出现以下页面,表明成功了。

    图片 1

    image.png

    其它,新创建的品种暗中认可是应用8080端口的,若是端口被占用恐怕是急需转移端口的,进入都项目中的根目录中,有个config文件,上边有个index.js文件,在里边改变本身的端口号就能够。

    图片 2

    image.png

    在读书vue的时候,npm install的时候报错  npm err code 一,当时很抑郁,是‘vue init webpack my-project’命令新建的沙盘项目 ,怎么会报错,第3回相见这么的难点,很窝火。

    更新npm的版本

    yarn,想必我们都并素不相识。就算我们不明了它是个什么样东西的时候,谈起npm,一定很理解了吗。yarn也是和npm的意义雷同,都是二个包管理工科具。yarn是照片墙的成品。想比npm,yarn以为更加强劲,而且以为越来越好用。特别是1个团组织共同付出的时候。大概团队中的使用的一点包名版本不雷同,yarn会遵照本地的package中,自动下载各自的版本包,如若运用npm,包版本不壹致就可能会报错。由于刚(Yu-Gang)初始接触前端,水平比较初级,希望大家建议宝贵的见识,感激。
    上面简介一下yarn的施用,创设二个vue项目.

    探索模块

    1、yarn的安装

    评释:yarn的应用也是和npm同样,在此以前要设置好nodejs遭逢。借使未有安装,请先安装nodejs.
    yarn的华语文书档案地址,上面有详实的地方。
    https://yarnpkg.com/zh-Hans/docs
    yarn命令的主干选用,它的通令基本和npm的应用一样,会有壹线的异样。
    https://yarnpkg.com/zh-Hans/docs/cli/

    yarn的装置因为文书档案中有详尽的介绍,在此间就不在一一介绍。请参见官方文档进行设置。
    https://yarnpkg.com/zh-Hans/docs/install

     

    尝试独立安装:npm install phantomjs-prebuilt@二.一.1四 照旧报错

     

    npm init

     

     

     

    在用npm install 时,总是出现如下错误:

      如安装vue:

    革新模块

    npm cache clean

    本文由68399皇家赌场发布于服务器租用,转载请注明出处:npm install的时候报错 npm err code 一

    关键词: 68399皇家赌场 vue